<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.ProjectBrowserHelper</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.LargefilesExtension.ProjectBrowserHelper</h1>
<p>
Module implementing the largefiles extension project browser helper.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#LargefilesProjectBrowserHelper">LargefilesProjectBrowserHelper</a></td>
<td>Class implementing the largefiles extension project browser helper.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="LargefilesProjectBrowserHelper" ID="LargefilesProjectBrowserHelper"></a>
<h2>LargefilesProjectBrowserHelper</h2>
<p>
    Class implementing the largefiles extension project browser helper.
</p>

<h3>Derived from</h3>
HgExtensionProjectBrowserHelper
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#LargefilesProjectBrowserHelper.__init__">LargefilesProjectBrowserHelper</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#LargefilesProjectBrowserHelper.__hgAddLargefiles">__hgAddLargefiles</a></td>
<td>Private slot to add the selected files as large files.</td>
</tr>
<tr>
<td><a href="#LargefilesProjectBrowserHelper.initMenus">initMenus</a></td>
<td>Public method to generate the extension menus.</td>
</tr>
<tr>
<td><a href="#LargefilesProjectBrowserHelper.menuTitle">menuTitle</a></td>
<td>Public method to get the menu title.</td>
</tr>
<tr>
<td><a href="#LargefilesProjectBrowserHelper.showExtensionMenu">showExtensionMenu</a></td>
<td>Public method to prepare the extension menu for display.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="LargefilesProjectBrowserHelper.__init__" ID="LargefilesProjectBrowserHelper.__init__"></a>
<h4>LargefilesProjectBrowserHelper (Constructor)</h4>
<b>LargefilesProjectBrowserHelper</b>(<i>vcsObject, browserObject, projectObject</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>vcsObject</i> (Hg)</dt>
<dd>
reference to the vcs object
</dd>
<dt><i>browserObject</i> (ProjectBaseBrowser)</dt>
<dd>
reference to the project browser object
</dd>
<dt><i>projectObject</i> (Project)</dt>
<dd>
reference to the project object
</dd>
</dl>
<a NAME="LargefilesProjectBrowserHelper.__hgAddLargefiles" ID="LargefilesProjectBrowserHelper.__hgAddLargefiles"></a>
<h4>LargefilesProjectBrowserHelper.__hgAddLargefiles</h4>
<b>__hgAddLargefiles</b>(<i>mode</i>)
<p>
        Private slot to add the selected files as large files.
</p>

<dl>

<dt><i>mode</i> (str)</dt>
<dd>
add mode (string ne of 'normal' or 'large')
</dd>
</dl>
<a NAME="LargefilesProjectBrowserHelper.initMenus" ID="LargefilesProjectBrowserHelper.initMenus"></a>
<h4>LargefilesProjectBrowserHelper.initMenus</h4>
<b>initMenus</b>(<i></i>)
<p>
        Public method to generate the extension menus.
</p>
<p>
        Note: Derived class must implement this method.
</p>

<dl>
<dt>Return:</dt>
<dd>
dictionary of populated menu. The dict must have the keys
            'mainMenu', 'multiMenu', 'backMenu', 'dirMenu' and 'dirMultiMenu'.
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
dict of QMenu
</dd>
</dl>
<a NAME="LargefilesProjectBrowserHelper.menuTitle" ID="LargefilesProjectBrowserHelper.menuTitle"></a>
<h4>LargefilesProjectBrowserHelper.menuTitle</h4>
<b>menuTitle</b>(<i></i>)
<p>
        Public method to get the menu title.
</p>
<p>
        Note: Derived class must implement this method.
</p>

<dl>
<dt>Return:</dt>
<dd>
title of the menu
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="LargefilesProjectBrowserHelper.showExtensionMenu" ID="LargefilesProjectBrowserHelper.showExtensionMenu"></a>
<h4>LargefilesProjectBrowserHelper.showExtensionMenu</h4>
<b>showExtensionMenu</b>(<i>key, controlled</i>)
<p>
        Public method to prepare the extension menu for display.
</p>

<dl>

<dt><i>key</i> (str)</dt>
<dd>
menu key (one of 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu'
            or 'dirMultiMenu')
</dd>
<dt><i>controlled</i> (bool)</dt>
<dd>
flag indicating to prepare the menu for a
            version controlled entry or a non-version controlled entry
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
